Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 614662 - Wrong obsolete tag in perl.spec for perl-suidperl
Wrong obsolete tag in perl.spec for perl-suidperl
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-14 18:38 EDT by Terje Røsten
Modified: 2010-07-15 13:03 EDT (History)
8 users (show)

See Also:
Fixed In Version: perl-5.12.1-128.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-15 13:03:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Terje Røsten 2010-07-14 18:38:35 EDT
Description of problem:

latest perl in rawhide has: 

Obsoletes: perl-suidperl <= 4:5.10.1-118

while my system has perl-suidperl 4:5.10.1-118.fc14 note the fc14 disttag here,
this means the installed version is newer and the obsolete tag
has no effect. Please fix this by changing e.g. to:

Obsoletes: perl-suidperl < 4:5.10.1-119

or something similar with the same effect.

For more background please read this thread on yum-devel:

 http://thread.gmane.org/gmane.linux.rpm.yum.devel/4336
Comment 1 Marcela Mašláňová 2010-07-15 03:04:57 EDT
Thanks for bug report. This will be fixed in next build.
Comment 2 Petr Pisar 2010-07-15 03:37:31 EDT
Thanks for report. We have already spotted the problem.

However I'm not sure this is the right solution. Imagine we release new
perl-suidperl-4:5.10.1-119 in F13, F13 user installs it and then he decides to
upgrade to F14. Things will go wrong. I think

  Obsoletes: perl-suidperl < 4:5.12.1

is more appropriate to avoid my hypothetic scenario. The 4:5.12.1 is first
version where perl-suidperl is missing.

I will discuss it with Marcela, package owner, and we will release F14 perl as
soon as possible.
Comment 3 Terje Røsten 2010-07-15 03:54:56 EDT
Thanks for the quick respons, Obsoletes: perl-suidperl < 4:5.12.1 seems correct.
Comment 4 Petr Pisar 2010-07-15 13:03:42 EDT
Fixed in CVS.

Note You need to log in before you can comment on or make changes to this bug.